!!! Vollstndige Fassung von Listing 4 aus dem Artikel
    "What you see is what you tag" von
    Stefan Mintert und Christoph Leisegang,
    iX 8/2004, S. 127
!!!

<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns="http://mintert.com/namespaces/notiz"
    xmlns:w="http://schemas.microsoft.com/office/word/2003/wordml" 
    xmlns:wx="http://schemas.microsoft.com/office/word/2003/auxHint"
    version="1.0">

    <!-- Template fuer Root-Element 'notiz' -->
    <xsl:template match="notiz">
        <xsl:processing-instruction name="mso-application">progid="Word.Document"</xsl:processing-instruction>
        <w:wordDocument>
        <w:styles>
          <w:style w:type="paragraph" w:styleId="Titel">
            <w:name w:val="Titel"/>
            <w:rsid w:val="0052557F"/>
            <w:basedOn w:val="Standard"/>
            <w:pPr>
                <w:pStyle w:val="Titel"/>
                <w:spacing w:before="240" w:after="60"/>
                <w:jc w:val="center"/>
                <w:outlineLvl w:val="0"/>
            </w:pPr>
            <w:rPr>
              <w:rFonts w:ascii="Arial" w:h-ansi="Arial"/>
              <wx:font wx:val="Arial"/>
              <w:sz w:val="36"/>
              <w:sz-cs w:val="36"/>
              <w:lang w:val="DE-DE"/>
            </w:rPr>
          </w:style>
          <w:style w:type="paragraph" w:styleId="Datum">
            <w:name w:val="Datum"/>
            <w:rsid w:val="0052557E"/>
            <w:basedOn w:val="Standard"/>
            <w:pPr>
                <w:jc w:val="center"/>
                <w:pStyle w:val="Datum"/>
                <w:spacing w:after="600"/>
            </w:pPr>
            <w:rPr>
              <w:rFonts w:ascii="Arial" w:h-ansi="Arial"/>
              <wx:font wx:val="Arial"/>
              <w:b/>
              <w:sz w:val="24"/>
              <w:sz-cs w:val="24"/>
              <w:lang w:val="DE-DE"/>
            </w:rPr>
          </w:style>
          <w:style w:type="paragraph" w:styleId="Autor">
            <w:name w:val="Autor"/>
            <w:basedOn w:val="Standard"/>
            <w:pPr>
                <w:jc w:val="center"/>
                <w:pStyle w:val="Autor"/>
            </w:pPr>
            <w:rPr>
              <w:rFonts w:ascii="Arial" w:h-ansi="Arial"/>
              <wx:font wx:val="Arial"/>
              <w:color w:val="FF0000"/>
              <w:b/>
              <w:sz w:val="24"/>
              <w:sz-cs w:val="24"/>
              <w:lang w:val="DE-DE"/>
            </w:rPr>
          </w:style>
        </w:styles>
              <w:body>
                <notiz>
                    <xsl:apply-templates/>
                    <w:p>
                        <w:r>
                            <w:rPr><w:sz w:val="16"/><w:sz-cs w:val="16"/></w:rPr>
                            <w:t>Copyright &#169; 2000-2004, Stefan Mintert, www.mintert.com</w:t>
                        </w:r>
                    </w:p>
                </notiz>
            </w:body>
        </w:wordDocument>
    </xsl:template>

    <!-- Template fuer Elementtyp 'titel' -->
    <xsl:template match="titel">
        <titel>
            <w:p>
                <w:pPr>
                    <w:pStyle w:val="Titel"/>
                </w:pPr>
                <w:r>
                    <w:rPr><w:b/></w:rPr>
                    <w:t><xsl:apply-templates/></w:t>
                </w:r>
            </w:p>
        </titel>
    </xsl:template>

    <!-- Template fuer Elementtyp 'autor' -->
    <xsl:template match="autor">
        <autor>
            <w:p>
                <w:pPr>
                    <w:pStyle w:val="Autor"/>
                </w:pPr>
                <w:r>
                    <w:t><xsl:apply-templates/></w:t>
                </w:r>
            </w:p>
        </autor>
    </xsl:template>
    <!-- ====================================================== -->
    <!-- ====================================================== -->
    <!-- Template fuer Elementtyp 'datum' -->
    <xsl:template match="datum">
        <datum>
            <w:p>
                <w:pPr>
                    <w:pStyle w:val="Datum"/>
                </w:pPr>
                <w:r>
                    <w:rPr><w:color w:val="00FF00"/></w:rPr>
                    <w:t><xsl:apply-templates/></w:t>
                </w:r>
            </w:p>
        </datum>
    </xsl:template>

    <!-- Template fuer Elementtyp 'absatz' -->
    <xsl:template match="absatz">
        <absatz>
            <w:p>
                <xsl:apply-templates/>
            </w:p>
        </absatz>
    </xsl:template>
    <xsl:template match="absatz/text()">
            <w:r>
                <w:t><xsl:value-of select="."/></w:t>
            </w:r>
    </xsl:template>

    <!-- Template fuer Elementtyp 'wichtig' -->
    <xsl:template match="wichtig">
        <wichtig>
            <w:r>
                <w:rPr><w:i/></w:rPr>
                <w:t><xsl:apply-templates/></w:t>
            </w:r>
        </wichtig>
    </xsl:template>

</xsl:stylesheet>
