/*
 * Contributor.java
 *
 * Copyright (c) 2003 Peter Friese
 * All rights reserved.
 *  
 */
package de.heise.ix.builders.contributors;

/**
 * Die Klasse <code>Contributor</code> reprsentiert
 * einen Autoren.
 *  
 * @author Peter Friese
 */
public class Contributor {

	/** Name des Autoren */
	private String name;

	/** EMail-Adresse des Autoren */
	private String eMail;

	/**
	 * Gibt die EMail Adresse des Autoren zurck.
	 * @return Die EMail Adresse des Autoren.
	 */
	public String getEMail() {
		return eMail;
	}

	/**
	 * Setzt die EMail Adresse des Autoren.
	 * @param string Eine EMail Adresse.
	 */
	public void setEMail(String string) {
		eMail = string;
	}

	/**
	 * Gibt den Namen des Autoren zurck.
	 * @return Der Name des Autoren.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Setzt den Namen des Autoren.
	 * @param string Der Name des Autoren.
	 */
	public void setName(String string) {
		name = string;
	}

}
